(define (script_fu_tovdr width height depth infile outfile)
(let* ((img (car (file-jpeg-load 1 infile infile)))
(drawable (car (gimp-image-active-drawable img))))

(gimp-image-scale img width height)
(gimp-convert-indexed img 2 0 depth 0 0 "")
(file-xpm-save 1 img drawable outfile outfile 255)))

(script-fu-register "script_fu_tovdr"
_"<Toolbox>/Xtns/Script-Fu/Utils/TOVDR"
"TOVDR"
"niklot"
"niklot"
"2003-03-25"
""
SF-VALUE "Width" "64"
SF-VALUE "Height" "48"
SF-VALUE "Depth" "16"
SF-FILENAME "Infile" "/tmp/infile.jpg"
SF-FILENAME "Outfile" "/tmp/outfile.xpm")
